summaryrefslogtreecommitdiffstats
path: root/testsuite/cycle1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/cycle1.sh')
-rwxr-xr-xtestsuite/cycle1.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/testsuite/cycle1.sh b/testsuite/cycle1.sh
index 3dc7f93..caf7864 100755
--- a/testsuite/cycle1.sh
+++ b/testsuite/cycle1.sh
@@ -18,6 +18,8 @@ grep -v 'has a dependency cycle' cycle1.log \
| grep -q ^`echo $PRELINK | sed 's/ .*$/: /'` && exit 2
grep -q "^`echo $PRELINK | sed 's/ .*$/: .*has a dependency cycle/'`" \
cycle1.log || exit 3
-LD_LIBRARY_PATH=. ./cycle1 || exit 4
+if [ "x$CROSS" = "x" ] ; then
+ LD_LIBRARY_PATH=. ./cycle1 || exit 4
+fi
# So that it is not prelinked again
chmod -x ./cycle1